function  Show_definition( Action,strName)

% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% How to prepare a image file for display in Matlab
% 1. Flip the image file ( in image processing software, such as paint shop pro..)
% 2. Save the image file in JPEG format
% 3. use img = imread('filename.jpg');
% 4  save the image file in MATA file format so that the image can be 
%	  loaded even without the image toolbox	save img
% 5. load the META file ready for display		load img

if nargin == 0 & isempty(findobj('Tag','Definition_dsgn'))% OSU logo page is being initialized
   Action = 'initialize';
elseif nargin == 0 & findobj('Tag','Definition_dsgn')		% OSU logo page is already open
   Action = 'None';
elseif strcmp( Action,'initialize') & findobj('Tag','Definition_dsgn')		% OSU logo page is already open
   a = findobj('Tag','Definition_dsgn');
   strCurName = get(a,'userdata');
   if ~isempty(strmatch(strName,strCurName))
      b = strmatch(strName,strCurName);
      %      Action = 'None';
      figure(a(b));
      return
   else
      Action = 'initialize';
   end
end
if ~strcmp( Action,'initialize')
   a = findobj('tag','Definition_dsgn');
   strName = get(a,'userdata');
end
sz  = size(strName);
strName_short = strName(1:(sz(2)-4));
%strTag = strcat(strName_short,'_dsgn');
switch Action  
case 'initialize'
ScreenSize = get(0,'ScreenSize');
sx = 500;
sy = 450;
FigPos = [ 10 ScreenSize(4)-sy-40 sx sy ] ;
h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',gray(256), ...
	'IntegerHandle','off', ...
	'Interruptible','off', ...
   'NumberTitle','off', ...
   'Name','Graphics Definitions Window', ...
   'Position',FigPos, ...
   'Resize','on', ...
   'Userdata',strName, ...
	'Tag','Definition_dsgn');

h1 = axes('Parent',h0, ...
	'Units','normalized', ...
	'Box','on', ...
	'Color',[1 1 1], ...
	'Position',[0.0592 0.0622 0.8858 0.84 ], ...
	'Tag','Image_axe');

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[0.3 0.9186 0.4 0.0407], ...
	'String',strName_short, ...
	'Style','text', ...
	'Tag','StaticText1');

h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','Show_definition(''Close'')', ...
	'Position',[0.4 0.0022 0.2 0.05], ...
   'String','Close');

strCmd = strcat('img = imread(''',strName,''');');
eval(strCmd);
image(img);
axis off;
axis equal;
case 'None'
   a = findobj('tag','Definition_dsgn')
   figure(a);
   
case 'Close'     
% if the target window exist then close it  
  	a = findobj('tag','Definition_dsgn');   
   strCurName = get(a,'userdata');
   b = strmatch(strName,strCurName);
   close(a(b));
 
end   
