% Solution to Examples 3.1 and 3.2 using fourbar_cr

clear all;
r1=1;
r2=2;
r3=3.5;
r4=4;
theta1=0;
theta2=0;
td2=10;
tdd2=0;
sigma=1;
flag=3;

values = fourbar_cr(r1,r2,r3,r4,theta2,td2,tdd2,sigma,theta1,flag);

r(1:4)=values(1:4)
th(1:4)=values(5:8)
thd(1:4)=values(9:12)
thdd(1:4)=values(13:16)
rq(1:2)=values(17:18)
rp(1:2)=values(19:20)
rdq(1:2)=values(21:22)
rdp(1:2)=values(23:24)
rddq(1:2)=values(25:26)
rddp(1:2)=values(27:28)

fprintf('example_3p1.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 


