% Solution to inverse of Example 4.4 when coupler is the input

clear;
r2=5;
r3=8;
r4=0;
theta1=0;
theta3=-26.227837;
fact=pi/180;
td3=-4.926646;
tdd3=37.308584;
sigma=1;
flag=3;

values = sldcrkco(r2,r3,r4,theta3,td3,tdd3,sigma,theta1,flag);

r(1:4)=values(1:4)
th(1:4)=values(5:8)
rd(1:4)=values(9:12)
thd(1:4)=values(13:16)
rdd(1:4)=values(17:20)
thdd(1:4)=values(21:24)
rq(1:2)=values(25:26)
rp(1:2)=values(27:28)
rdq(1:2)=values(29:30)
rdp(1:2)=values(31:32)
rddq(1:2)=values(33:34)
rddp(1:2)=values(35:36)

fprintf('example_3p4_2.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 
