% Solution to Example 3.8 when the slider on the coupler is the driver

clear all;
r3=1.732051;
r2=2;
rd3=1.000000;
rdd3=8.267949;
sigma=1;
beta=90;
theta1=0;
flag=3;

values = rrppsc(r3,r2,rd3,rdd3,theta1,sigma,beta,flag);

r(1:3)=values(1:3)
th(1:3)=values(5:7)
rd(1:3)=values(9:11)
thd(1:3)=values(13:15)
rdd(1:3)=values(17:19)
thdd(1:3)=values(21:23)
rp(1:2)=values(25:26)
rq(1:2)=values(27:28)
rdp(1:2)=values(29:30)
rdq(1:2)=values(31:32)
rddp(1:2)=values(33:34)
rddq(1:2)=values(35:36)

fprintf('example_3p8_3.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 
