% Solution to Example 3.9 when a slider (link 2) is the driver.  The position 
% analyzed corresponds to Theta3 = -30 deg.

clear all;
r3=10;
r1= 8.660254;
rd1=50.0000;
rdd1= -866.025404;
sigma=1;
beta=-90;
theta2=90;
flag=3;

values = prrps(r1,rd1,rdd1,r3,theta2,sigma,beta,flag);

r(1:4)=values(1:4)
th(1:4)=values(5:8)
rd(1:4)=values(9:12)
thd(1:4)=values(13:16)
rdd(1:4)=values(17:20)
thdd(1:4)=values(21:24)
rp(1:2)=values(25:26)
rq(1:2)=values(27:28)
rdp(1:2)=values(29:30)
rdq(1:2)=values(31:32)
rddp(1:2)=values(33:34)
rddq(1:2)=values(35:36)

fprintf('example_3p9_2.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 
