function y=phi2y(phid,yl,phil)
%function file that converts phi (output angle) to y values 

%Variables
%   y=y values corresponding to values of the rocker angles input
%   phid=rocker angle at animation positions
%   yl=limiting y values
%   phil=limiting rocker angles

%Program
phir=phid*(pi/180);
y=(((yl(2)-yl(1))/(phil(2)-phil(1)))*(phir-phil(1)))+yl(1);
