% Matlab file to test frameline program

clf
clear all
ans='y';
disp('   ')
disp('        Frame Base and rectangle Test Program')

% THESE ARE THE INPUT VALUES IN THE PROGRAM
length = 20;		
x0=0;
y0=0;
ndash=20;
theta=0;
thetar=theta*pi/180;    
flag=1;

coord=frameline(length,x0,y0,ndash,theta,flag);

npoints=3*ndash;
for i=1:1:npoints
	x(i)=coord(i,1);
	y(i)=coord(i,2);
end

len=5;
height=2.5;
dx=length/2;
dy=height/2;
x0=dx*cos(thetar)-dy*sin(thetar);
y0=dx*sin(thetar)+dy*cos(thetar);
flag=0;

coord2=rect(len,height,x0,y0,theta,flag);

for i=1:1:5
	x2(i)=coord2(i,1);
	y2(i)=coord2(i,2);
end

h4=axes('position', [0.1 .1 .8 .8],'box', 'on', 'xcolor', 'k','ycolor', 'k');

xmax=max(x)+0.05*abs(max(x)-min(x));
xmin=min(x)-0.05*abs(max(x)-min(x));
ymax=max(y)+0.05*abs(max(y)-min(y));
ymin=min(y)-0.05*abs(max(y)-min(y));

axis([xmin xmax ymin ymax]);
axis('equal')
frame=line('xdata', [], 'ydata', [], 'erasemode', 'none', 'color', 'k');
box=line('xdata', [], 'ydata', [], 'erasemode', 'none', 'color', 'k');

% Draw curves for each plot.
	set(frame,'xdata', x,'ydata', y);
	set(box,'xdata', x2,'ydata', y2);

