function [] = AssemblyCheck()% Define constants
   d2r = pi/180;
	a = findobj('Tag','rbg_4bar_dsgn');
   hdls = get(a,'userdata');
   h_astarx = hdls(1);
   h_astary = hdls(2);
   Astarx = get(h_astarx,'userdata');
   Astary = get(h_astary,'userdata');
   h_bstarx = hdls(3);
   h_bstary = hdls(4);
   Bstarx = get(h_bstarx,'userdata');
   Bstary = get(h_bstary,'userdata');
   h_posx = hdls(9:11);
   h_posy = hdls(12:14);
   for n = 1:3
      ax(n) = get(h_posx(n),'userdata');
      ay(n) = get(h_posy(n),'userdata');
   end
   r1 = hdls(27);
   r2 = hdls(28);
   r3 = hdls(29);
   r4 = hdls(30);
   theta = hdls(31); % theta, angle1 and angle2 have the degree unit 
   angle1 = hdls(32);  
   angle2 = hdls(33);
   beta1 = hdls(34)
   rc1 = hdls(35)
   mode = hdls(36);
   ang(1) = theta;
   ang(2) = ang(1) + angle1;
   ang(3) = ang(1) + angle2;
   figure(3);
   plot(0,0);
   hold on;
   for i = 1:3
      % set anglular velocity is 5, angular acceleration is 0,
      % assembly mode +1, frame angle 0, flag 1 for position calculation
		para = fourbar_co_acc(r1,r2,r3,r4,rc1,beta1,ang(i),mode,0);

		% Store the linkage information in para into named vectors
%      Q3(i)=para(7);
%      Q4(i)=para(8);
      Q3(i)=para(9);
      Q4(i)=para(10);
      rcx(i) = para(15);
      rcy(i) = para(16);
      u(1:4) = [0 para(9) para(11) para(13)]; 
      v(1:4) = [0 para(10) para(12) para(14)];
      if i == 1
         plot(u,v,'mo:');
      end
      hold on;
      if i == 2
         plot(u,v,'ko:');
      end
      hold on;
      if i == 3
         plot(u,v,'bo:');
      end
hold off;
%  	 	Qa3(i)=Q3(i);
%   	Qa4(i)=Q4(i);

%   	if Q3(i)<0; Q3(i)=Q3(i)+360; end
%   	if Q4(i)<0; Q4(i)=Q4(i)+360; end
%  	 	Qb3(i)=Q3(i);
%   	Qb4(i)=Q4(i);
   
%   	whi(i) = Q3(i)-Q4(i);
   
   end
%   Qa3
%   Qa4
%   Qb3
%   Qb4
%   whi
   
%if ((whi(2)/whi(3))>0)
%   goodcheck = 1
%else
%   goodcheck = 0
%end
% translate the coordinate
translateAng = atan2((Bstary-Astary),(Bstarx-Astarx))
translateAng = translateAng+pi
for i = 1:3
   rcx(i) = (Astarx)+rcx(i)*cos(translateAng);
   rcy(i) = (Astary)+rcy(i)*sin(translateAng);
   Q3(i) = (Astarx)+Q3(i)*cos(translateAng);
   Q4(i) = (Astary)+Q4(i)*sin(translateAng);
end
Q3
Q4
rcx
rcy
ax
ay
