function  show_me_logo( Action,strName )

% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load me_logo
if nargin == 0 & isempty(findobj('Tag','OSUpage_dsgn'))% OSU logo page is being initialized
   Action = 'initialize';
%   strName = 'CRDesign';
elseif nargin == 0 & findobj('Tag','OSUpage_dsgn')		% OSU logo page is already open
   Action = 'None';
end
if ~strcmp( Action,'initialize')
   a = findobj('tag','OSUpage_dsgn');
end
switch Action
   
case 'initialize'
ScreenSize = get(0,'ScreenSize');
sx = 480;
sy = 400;
FigPos = [ 10 ScreenSize(4)-sy-40 sx sy ] ;
h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'IntegerHandle','off', ...
	'Interruptible','off', ...
	'NumberTitle','off', ...
   'Position',FigPos, ...
   'Resize','on', ...
	'Tag','OSUpage_dsgn');
h1 = axes('Parent',h0, ...
	'Units','normalized', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'CLim',[0 255], ...
	'CLimMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Interruptible','off', ...
	'Position',[0.05625 0.65 0.8875 0.325], ...
	'Tag','Image_axe', ...
	'XColor',[0 0 0], ...
	'XLim',[0.5 256.5], ...
	'XLimMode','manual', ...
	'XTickMode','manual', ...
	'YColor',[0 0 0], ...
	'YLim',[0.5 256.5], ...
	'YLimMode','manual', ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0]);
h2 = image('Parent',h1, ...
	'CData',mat2, ...
	'CDataMapping','scaled', ...
	'EraseMode','none', ...
	'Tag','Image_axeImage1', ...
	'XData',[1 256], ...
   'YData',[1 256]);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
   'FontSize',8, ...
   'Callback','show_me_logo2(''Show Menu Page'');', ...
	'ListboxTop',0, ...
	'Position',[0.405 0.09 0.2304 0.04861], ...
    'String','Continue', ...
    'BackgroundColor','y', ...
    'value',1, ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
    'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.1 0.55 0.8 0.05], ...
	'String','Kinematic Design and Analysis Programs', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.33 0.49 0.3375 0.05], ...
	'String','written by', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.2042 0.4 0.60625 0.08], ...
	'String','Yueh-Shao Chen, Sung-Lyul Park, Michael Stevens, and Gary L. Kinzel', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
   'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.225 0.32 0.57083 0.055], ...
	'String','Department of Mechanical Engineering', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.2938 0.29 0.4375 0.0425], ...
	'String','The Ohio State University ', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.2917 0.25 0.4375 0.04], ...
	'String','206 West 18th Avenue', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.28542 0.21 0.45208 0.0425], ...
	'String','Columbus, Ohio 43210', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.2667 0.175 0.5125 0.035], ...
	'String','Ph: (614) 292-6884; Fax: (614) 292-3163', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',8, ...
	'ListboxTop',0, ...
	'Position',[0.152 0 0.7354 0.05], ...
	'String','Copyright 2003, The Ohio State University. All Rights Reserved.', ...
	'Style','text', ...
   'Tag','StaticText1');

case 'None'
   a = findobj('tag','OSUpage_dsgn');
   figure(a);
   
case	'Show Menu Page'
   a = findobj('tag','OSUpage_dsgn');
   close(a);
	mainmenu('initialize',2);   
end   
