function errory=errors(yget,xl)

% Function file that calculates the relative error between the desired 
% function and the actual output of the output angle at various input angles

%Variables
%   errory=relative error between desired and actual angular relationship
%   yget=actual y values from linkage
%   xl=limiting x values
%   x=x vallues at the animation positions
%   y=desired y values at the animation positions
%   e=difference between desired an actual y values
%   de=max range of the desired y values
%   dx=number of intervals

%Program

dx=length(yget)-1;
x=xl(1):((xl(2)-xl(1))/dx):xl(2);
y=funct(x);
e=y-yget;
de=max(y)-min(y);
errory=(100/de)*e;
