% Solution to Examples 3.1 and 3.2

clear;
d2r=pi/180;
r1=2.968;
r2=1;
r3=1.7;
r4=2.5;
theta1=57.38;
theta2=150;
td2=20.94;
tdd2=0;
sigma=1;
flag=3;
negflag=-1;

roots = crank(r2,theta2,td2,tdd2,flag);

xB=r1*cos(theta1*d2r);
yB=r1*sin(theta1*d2r);
xdB=0;
ydB=0;
xddB=0;
yddB=0;
rq(1:2)=[roots(1) roots(2)]
rdq(1:2)=[roots(3) roots(4)]
rddq(1:2)=[roots(5) roots(6)]
xA=rq(1);
yA=rq(2);
xdA=rdq(1);
ydA=rdq(2);
xddA=rddq(1);
yddA=rddq(2);

roots = dyad(r3,r4,xA,yA,xdA,ydA,xddA,yddA,xB,yB, ...
                     xdB,ydB,xddB,yddB,sigma,flag,negflag);


th(1:4)=[theta1 theta2 roots(3) roots(4)]
rp(1:2)=roots(1:2)
thd(1:4)=[0 td2 roots(7) roots(8)]
rdp(1:2)=roots(5:6)
thdd(1:4)=[0 0 roots(11) roots(12)]
rddp(1:2)=roots(9:10)
