% Solution to inverse of Example 3.6 with R3 as input

clear all;
r1=20;
r2=8.5;
r3=17.385339;
r4=0;
theta1=0;
rd3=-21.170758;
rdd3=4.776957;
beta=1;
flag=3;

values = isldcrks(r1,r2,r3,rd3,rdd3,r4,beta,theta1,flag);

r(1:4)=values(1:4)
th(1:4)=values(5:8)
rd(1:4)=values(9:12)
thd(1:4)=values(13:16)
rdd(1:4)=values(17:20)
thdd(1:4)=values(21:24)
rp(1:2)=values(25:26)
rq(1:2)=values(27:28)
rdp(1:2)=values(29:30)
rdq(1:2)=values(31:32)
rddp(1:2)=values(33:34)
rddq(1:2)=values(35:36)

fprintf('example_3p6_2.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 

