% Solution to Example 3.7 when the slider on the coupler is the input.

clear all;
r1=10;
r2=0;
r3=11.547005;
rd3=-66.666667;
rdd3=1924.500897;
sigma=-1;
theta1=90;
td2=10;
tdd2=0;
flag=3;

values = rprpsc(r1,r2,r3,rd3,rdd3,theta1,sigma,flag);

r(1:4)=values(1:4)
th(1:4)=values(5:8)
rd(1:4)=values(9:12)
thd(1:4)=values(13:16)
rdd(1:4)=values(17:20)
thdd(1:4)=values(21:24)
rp(1:2)=values(25:26)
rq(1:2)=values(27:28)
rdp(1:2)=values(29:30)
rdq(1:2)=values(31:32)
rddp(1:2)=values(33:34)
rddq(1:2)=values(35:36)

fprintf('example_3p7_3.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 
