% Solution to Example 3.8 with crank driving

clear all;
r2=2;
theta1=0;
theta2=60;
beta=90;
td2=1;
tdd2=0;
flag=3;

values = rrppc(r2,theta1,theta2,td2,tdd2,beta,flag);

r(1:3)=values(1:3)
th(1:3)=values(5:7)
rd(1:3)=values(9:11)
thd(1:3)=values(13:15)
rdd(1:3)=values(17:19)
thdd(1:3)=values(21:23)
rp(1:2)=values(25:26)
rq(1:2)=values(27:28)
rdp(1:2)=values(29:30)
rdq(1:2)=values(31:32)
rddp(1:2)=values(33:34)
rddq(1:2)=values(35:36)

fprintf('example_3p8.dat','%10.6f %10.6f %10.6f %10.6f \n',values) 
