% Matlab file to test circle and bushing routine

clf
clear all
ans='y';
disp('   ')
disp('        Circle and Bushing Test Program')

% Input values for program

r = 10;		
x0=60;
y0=500;
ninc=20;
theta=0;    
npoints=ninc+1;
coord=circle2(r,x0,y0,ninc);

for i=1:1:npoints
	xcoord(i)=coord(i,1);
	ycoord(i)=coord(i,2);
end

binc=ninc/2;
coord2=bushing(r,x0,y0,binc,theta);

bpoints=ninc/2+16;
for i=1:1:bpoints
	xbush(i)=coord2(i,1);
	ybush(i)=coord2(i,2);
end

axes('position', [0.1 .1 .8 .8],'box', 'on', 'xcolor', 'k','ycolor', 'k');
set(gcf,'color', 'w')
xmax=max(xbush);
xmin=min(xbush);
ymax=max(ybush);
ymin=min(ybush);
[xmin xmax ymin ymax]
axis('equal')
axis([xmin xmax ymin ymax]);
joint=line('xdata', [], 'ydata', [], 'erasemode', 'none', 'color', 'k');
bush=line('xdata', [], 'ydata', [], 'erasemode', 'none', 'color', 'k');

% Draw curves for each plot.

	set(joint,'xdata', xcoord,'ydata', ycoord);
	set(bush,'xdata', xbush,'ydata', ybush);

